create endpoint
curl --request POST \
--url https://console.vast.ai/api/v0/endptjobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"min_load": 50,
"target_util": 0.75,
"cold_mult": 2,
"cold_workers": 5,
"max_workers": 20,
"endpoint_name": "my_endpoint"
}
'import requests
url = "https://console.vast.ai/api/v0/endptjobs"
payload = {
"min_load": 50,
"target_util": 0.75,
"cold_mult": 2,
"cold_workers": 5,
"max_workers": 20,
"endpoint_name": "my_endpoint"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
min_load: 50,
target_util: 0.75,
cold_mult: 2,
cold_workers: 5,
max_workers: 20,
endpoint_name: 'my_endpoint'
})
};
fetch('https://console.vast.ai/api/v0/endptjobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": 12345
}{
"error": "invalid_args"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"detail": "API requests too frequent endpoint threshold=4.0"
}Serverless
create endpoint
This endpoint creates a new job processing endpoint with specified parameters.
CLI Usage: vastai create endpoint [options]
POST
/
api
/
v0
/
endptjobs
create endpoint
Authorizations
API key must be provided in the Authorization header
Body
application/json
Minimum load for the endpoint.
Example:
50
Target utilization for the endpoint.
Example:
0.75
Multiplier for cold start.
Example:
2
Number of cold workers.
Example:
5
Maximum number of workers.
Example:
20
Name of the endpoint.
Example:
"my_endpoint"
⌘I